admin_gift_list:
    pattern:  /gifts.{_format}
    defaults: { _controller: StilettoGiftBundle:GiftAdmin:list, _format: html, _api: list }
    requirements:
        _format:  html|xml|json

admin_gift_list_csv:
    pattern:  /gifts/list/excel
    defaults: { _controller: StilettoGiftBundle:GiftAdmin:list, output:"csv" }
    requirements:
        _format:  html|xml|json

# Route for admin controller
admin_shop_currency_list:
    pattern:  /gifts/currencies.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_shop_currency_csv:
    pattern:  /gifts/currencies/excel
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:list, output: csv }

admin_shop_currency_new:
    pattern:  /gifts/currencies/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_currency_update:
    pattern:  /gifts/currencies/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_currency_delete:
    pattern:  /gifts/currencies/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json


# Route for admin orderstep controller
admin_shop_orderstep_list:
    pattern:  /shop/orderssteps.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_shop_orderstep_csv:
    pattern:  /gift/orderssteps/excel
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:list, output: csv }

admin_shop_orderstep_new:
    pattern:  /gift/orderssteps/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_orderstep_update:
    pattern:  /gift/orderssteps/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_orderstep_delete:
    pattern:  /gift/orderssteps/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json
        id:  \d+

# Route for admin payment controller
admin_shop_payment_list:
    pattern:  /gift/payments.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:list, _format: html, _api: list}

admin_shop_payment_csv:
    pattern:  /gift/payments/excel
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:list, output: csv }

admin_shop_payment_new:
    pattern:  /gift/payments/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_payment_update:
    pattern:  /gift/payments/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_payment_delete:
    pattern:  /gift/payments/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json
        id:  \d+
